Retrieves interval data (readings) for a specific interval data widget.
Use this endpoint to get time-series readings for a channel or ESA meter. Does NOT support global dashboard
filtering with Topmost Place or Place Group API filters. Requires a Days Prior filter and exactly one
channel/meter selection filter. Optionally includes a comparison week for period-over-period analysis.
Requires IntervalDataAnalysis View permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific Interval Data widget instance | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
Readings
| Property | Description | Type | |||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| channelId | The Id of the Channel | integer (int32) | |||||||||||||||||||||
| readings | Readings+Observation[] | ||||||||||||||||||||||
|
Readings+Observation properties
|
|||||||||||||||||||||||
| rule | 1 = odometer, 2 = trip (to calculate delta) | integer (int32) | |||||||||||||||||||||
| unit | UnitChild | ||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||
Example Response
[
{ "channelId": 1, "readings": [
{ "estimated": false, "note": "string", "observationId": 1, "rawValue": 1.0, "time": "2026-06-29", "value": 1.0
}
], "rule": 1, "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}
]